<!--#set var="title" value="GU4DEC 2003 Schedule"-->
<!--#include virtual="../inc-header.shtml"-->

  <h1>GU4DEC 2003 Speakers</h1>

  <p><a name="monday_speakers" id="monday_speakers"></a></p>

  <h2>Monday, 16th June</h2>

  <h3>Keynote, Robin Rowe</h3>

  <p><img src="robin_rowe.jpg" align="right" hspace="10" vspace="10" border="1" alt="Robin Rowe" /></p>

  <p>Linux animation and special effects are part of more than fifty feature films including Star Wars Episode II, Lord of the Rings, and Shrek. How did a free operating system created by a university student as a hobby become the dominant Hollywood production platform? Why has Hollywood adopted Linux as its primary operating system for servers and desktops? How are Disney, DreamWorks, ILM, Paramount, Pixar, Sony Pictures, Universal, and other studios using it? And, what does it all mean for the future?</p>

  <p>Robin Rowe is the founder of the Linux Movies Group (<a href="http://www.linuxmovies.org">www.LinuxMovies.org</a>), an association for those intrigued with Linux motion picture technology. He is the project leader of CinePaint (<a href="http://www.cinepaint.org">www.CinePaint.org</a>), a high dynamic range painting program that is the most popular open source tool in motion picture production. His articles are published in Linux Journal, Millimeter, Computer Graphics World, and other magazines. He is a founding partner of technology company MovieEditor.com. His varied past includes chief technologist for a Fortune 500 IT company, research scientist for the navy, C.S. lecturer at two universities, and technical director for an NBC-TV station.</p><!-- Space -->
  <br />
  <br />

  <h3>freedesktop.org, Havoc Pennington</h3>

  <p><img src="havoc_pennington.jpg" align="right" hspace="10" vspace="10" border="1" alt="Havoc Pennington" /></p>

  <p>This talk will be about building infrastructure that's common to all desktops, toolkits, and applications for the X Window System. What progress has been made? What's in progress? What *should* be in progress? Why should we care?</p>

  <p>Havoc Pennington has been hacking on GTK+ and GNOME since 1998 or so, and has been a desktop developer at Red Hat since 1999. He currently maintains the metacity, gconf, gnome-terminal, and libwnck components of the GNOME desktop.</p><!-- Space -->
  <br />
  <br />

  <h3>Dasher - Information Efficient Text Entry, Matthew Garrett</h3>

  <p><img src="matthew_garrett.jpg" align="right" hspace="10" vspace="10" border="1" alt="Matthew Garrett" /></p>

  <p><a href="http://www.inference.phy.cam.ac.uk/dasher">Dasher</a> is a novel information efficient text entry system using a language model to offer predictions to the user without compromising their ability to choose any text.In this paper, we discuss the implementation of Dasher and how it is well suited to providing input on keyboardless devices and for disabled users. We will also look at how its integration with the GNOME accessibility framework allows Dasher to be not just a text entry system, but a comprehensive application control system. Dasher is available under the GNU GPL.</p>

  <p>Matthew has been a user of the GNOME desktop for many years, and his current role as project manager of the Dasher project allows him to work on code using the GNOME accessibility framework. In past lives, Matthew has been a genetics student, a computational biologist, a sysadmin and a complete pain in the neck.</p><!-- Space -->
  <br />
  <br />

  <h3>GNOME System Tools, Carlos Garnacho Parro</h3>

  <p><img src="carlos_garnacho.png" align="right" hspace="10" vspace="10" border="1" alt="Carlos Caracho Parro" /></p>

  <p>The GNOME System Tools are a set of cross-platform for Linux and other Unices. These tools are formed by a backend and a frontend, the goal of this structure is to have a backend that knows where does the system store the system configuration and a common frontend between all systems that eases the system administration and makes the system configuration task consistent between every supported platform.<br />
  The objective of this talk is to give an overview of the state-of-the-art in the system administration tools, talk about the GST structure and the current status of the GNOME System Tools as an alternative to the system default configuration tools.</p>

  <p>Carlos Garnacho studies computer science in Madrid. He first saw Linux and a early GNOME when he started his university studies (about 1998/1999). Since then, he began learning about Linux and then making little programs written in GTK+ until he decided to collaborate in the Ximian Setup Tools. Currently he is the GNOME System Tools maintainer and a recent GNOME Foundation member, as well as an active collaborator in gnome-hispano. When not hacking, he also enjoys playing the electric guitar and going out with friends.</p><!-- Space -->
  <br />
  <br />

  <h3>AbiWord 2.0 - The Next Step, Martin Sevior</h3>

  <p><img src="martin_sevior.jpg" align="right" hspace="10" vspace="10" border="1" alt="Martin Sevior" /></p>

  <p>The AbiWord team has spent the last year refactoring the code-base and making long term investments in the core of the application. At the same time we have added the most requested new Features. Tables, Footnotes, Endnotes, Anti-aliased Text, automatic font detection, Mail Merge and Revision Marks. The AbiWord team will continue to provide the GNOME desktop with a fully integrated, fast, feature-rich and exceptionally easy to use word processor - a core application of any modern desktop. The AbiWord bonobo control enables any GNOME application that needs to have document capability with an easy to use, embeddable word processor.<br />
  The presentation will demonstrate the features of AbiWord as a stand-alone program, as a command-line driven application and how to embed it in any GNOME application.</p>

  <p>I'm 44 years old which definately puts me in the Older People of GNOME club. I'm Associate Professor at the University of Melbourne. My field of research is Experimental Particle Physics. I started programming at age 18 on Z80 microprocessors, wrote my thesis in my own visual editor (to learn C) and starting hacking on AbiWord in 1999 to read all those MS Word docs Secretaries at my Uni were sending me. We have use Linux and GNOME extensively in Department and I actually use the program I hack on every day of my working life.<br />
  It was with great joy that I learned my old college in Melbourne (Trinity College!) was using AbiWord to teach Word Processing skills. I was definately the first person at Trinity to have their own Personal Computer.</p><!-- Space -->
  <br />
  <br />

  <h3>Accessibility 2.4 And Beyond, Bill Haneman &amp; Marc Mulcahy</h3>

  <p><img src="marc_mulcahy.jpg" align="right" hspace="10" vspace="10" border="1" alt="Marc Mulcahy" /> <img src="bill_haneman.jpg" align="right" hspace="10" vspace="10" border="1" alt="Bill Haneman" /></p>

  <p>GNOME 2.0 was the first Linux desktop to support built-in accessibility APIs and services, and GNOME-2.2 provided great improvements in theming and keyboard navigation. But making GNOME usable by blind, very-low-vision, and severely motion-impaired users is the next big step for GNOME accessibility. We expect GNOME 2.4 to represent another landmark for Linux and Unix accessibility, with improvements in the above categories and greatly improved assistive technology support. The coming introduction of end-user-ready assistive technologies is a major milestone. We've come a long way since last GUAD3C; this presentation will show our progress to date and discuss the roadmap towards our ultimate goal of universal accessibility and usability for the GNOME desktop.<br />
  We will also discuss the base dependencies/requirements of these goals and how we can realistically work towards them within the time-based GNOME release roadmap.</p>

  <p>Marc Mulcahy has been working for Sun Microsystems on the GNOME Accessibility Project for two years. He has contributed code to several modules of the project including Gail and at-spi, and is the current maintainer and original author of the gnome-speech project. In his spare time, Marc enjoys writing and using software relating to streaming media, running an internet radio station, and hiking and camping in the mountains around his home in Colorado.</p><!-- Space -->
  <br />
  <br />

  <h3>gtkmm - C++ Bindings For GNOME, Murray Cumming</h3>

  <p><img src="murray_cumming.png" align="right" hspace="10" vspace="10" border="1" alt="Murray Cumming" /></p>

  <p>An introduction to GTK+'s C++ bindings, aimed either at newcomers or experienced GNOME developers, depending on the audience. The advantages of gtkmm will be demonstrated with simple examples. For instance, API-clarity, inheritance, encapsulation, type-safety, and use of the C++ standard library. Some gtkmm-specific techniques will be introduced. There will be brief comparisons with GTK+ and Qt, which will make gtkmm look good.<br />
  Some gnomemm libraries will be mentioned, particularly the C++ wrappers for libglade, GConf, and libgnomecanvas. Document/View with Bakery will be mentioned. The future of the gtkmm and gnomemm projects will be discussed. You will be encouraged to help.</p>

  <p>Murray is a maintainer of gtkmm and gnomemm, the C++ wrappers for GNOME. He is also a member of the GNOME release-team. Originally from the UK, he lived in Munich, Germany for the previous 3 years, but is currently working in Linz, Austria as a freelance software consultant.</p><!-- Space -->
  <br />
  <br />

  <h3>Internationalization - It's Not Just Translation, Roozbeh Pournader</h3>

  <p><img src="roozbeh_pournader.png" align="right" hspace="10" vspace="10" border="1" alt="Roozbeh Pournader" /></p>

  <p>Internationalization is not only having mechanisms for translation of the textual messages of the user interface, or just using Unicode everywhere and trusting glib and Pango to take care of everything else. Many additional mechanisms are needed to be in place both in libraries and applications to make GNOME usable for a user sitting in, say, Afghanistan.<br />
  This paper tries to discuss matters to address for complete internationalization and localization support in GNOME, or its specific applications, for the global user. This includes but is not limited to bidirectional user interfaces, multiple calendar support, national digit shapes, loose searching, intelligent input handling, and icon translation.</p>

  <p>Roozbeh Pournader is a developer and a standards expert working on internationalization and localization matters in Sharif University of Technology, Tehran, Iran, where he leads a team called the FarsiWeb Project Group. He works as the official representative of Iran to many standard bodies including the Unicode Consortium and W3C, and has been active in development of many globalization-related standards since early 1999.<br />
  Roozbeh has had contributions to (mostly low-level) i18n and l10n aspects of many Open Source and Free Software projects, ranging from glibc and ICU to Mozilla and GNOME. He's also been a co-author of the first GPL-ed piece of software developed in Iran. He is currently the only Persian translator of GNOME.</p><!-- Space -->
  <br />
  <br />

  <h3>Managing Printers In GNOME, Dave Camp</h3>

  <p><img src="dave_camp.png" align="right" hspace="10" vspace="10" border="1" alt="Dave Camp" /></p>

  <p>Printer management is an important part of the paperless office, and has been a key weakness for Linux desktops. Ximian has been working on a printing management system based on the Common Unix Printing System (CUPS) that helps to address some of the problems with printer management on Linux.<br />
  I will begin with a brief overview of CUPS, and discuss the printing system from an administrative point of view. I will demonstrate tools for adding printers, configuring existing printers, and managing printer queues.<br />
  I'll finish up with information about developing tools using the services provided by CUPS and its associated libraries.</p>

  <p>Dave lives in Boston, where he works on the Desktop team at Ximian. His first contribution to GNOME was gEyes, and now he works on the Nautilus file manager. He likes to spend his spare time impersonating trademarked animated characters.</p><!-- Space -->
  <br />
  <br />

  <h3>Song And Dance And TWD Using GStreamer, Thomas Vander Stichele</h3>

  <p><img src="thomas_vander_stichele.png" align="right" hspace="10" vspace="10" border="1" alt="Thomas Vander Stichele" /></p>

  <p>Everybody knows that the key to achieving TWD is to have a USP.<br />
  As the result of a TMS, we have discovered such a USP where GNOME might be able to make a difference and achieve TWD.<br />
  FSD's have historically been lagging behind others in the multimedia area, so it comes as no surprise that GST can play a VSR in materializing the intended USP.<br />
  This talk will explain how the chosen USP can be prototyped from the ground up, making use of the GPE. During this live prototyping, VKC of GStreamer will be brought up and explained.<br />
  LAP might be requested throughout the presentation if TAE permits.<br />
  The talk will hopefully end in a SAD to celebrate FTA.<br />
  (Disclaimer: delivery of talk depends on CSI)<br />
  Acronytiary:</p>

  <ul>
    <li>FSD: Free Software Desktop</li>

    <li>VSR: Very Significant Role</li>

    <li>LAP: Live Audience Participation</li>

    <li>TAE: Time And Equipment</li>

    <li>CSI: Creation of Software Involved</li>

    <li>FTA: Future TWD Achievement</li>
  </ul>

  <p>Thomas was born in a summer storm in 1976 and lives there still. He graduated as an electrical engineer a few years ago, then went on to make his hobby into a job by helping start up a national radio station. Currently he's been appointed CTO and divides his time between programming and getting out in the field spending money.<br />
  In his free time, he enjoys helping out on GStreamer, hacking on the Dave/Dina project and scratching various minor itches. When not doing computery things, he also enjoys listening to and playing music, reading, and dancing Argentinan tango.</p><!-- Space -->
  <br />
  <br />

  <h3>GNOME And OpenOffice.org, Michael Meeks</h3>

  <p><img src="michael_meeks.jpg" border="1" align="right" hspace="10" vspace="10" alt="Michael Meeks" /></p>

  <p>OpenOffice.org (OO.o) is the richest Free office suite available and the only real solution available for the next several years that can let people switch from Windows to Gnome. This talk will show why deep Gnome integration with OO.o is so important. We'll also examine the strengths of the much loved existing Gnome officey applications.<br />
  Michael will present a few short demos of OO.o for those as unfamiliar with it's weight of features as he was when he started hacking it. He will also show what Ximian has done to OO.o and explain why they are investing heavily in it.<br />
  He will also give a mini-tutorial to inspire some confidence in building it and going around a development iteration, and show the developer tools we have provided to help you deal with 8 million lines of C++. We'll also discuss some areas where new contributors in such a huge endeavour can make an instant impact, how to re-apply that valuable Gnome experience, and get engaged quickly.</p>

  <p>Michael is a Christian and enthusiastic believer in Free software. He very much enjoys working for Ximian Inc. where as a member of the Research Labs he has worked on GNOME 2.2 infrastructure and applications, particularly CORBA, Bonobo, Nautilus and accessibility, amongst other interesting things. He now works full time on OpenOffice.org. Prior to this he worked for Quantel gaining expertise in real time AV editing and playback achieved with high performance focused hardware / software solutions.</p><!-- Space -->
  <br />
  <br />

  <h3>The Mono Debugger, Martin Baulig</h3>

  <p><img src="martin_baulig.jpg" align="right" hspace="10" vspace="10" border="1" alt="Martin Baulig" /></p>

  <p>The Mono Debugger is a completely new debugger which is written in C#. Unlike other graphical debugger frontends, it is a completely new debugger and now just a wrapper for an external debugger application such as gdb. While our main focus was producing a debugger for .NET applications, it can also debug "normal" Unix applications.<br />
  In this talk, Martin will give an overview of the overall architecture of the debugger, explain why we wrote a completely new debugger and how it interacts with Mono's JIT engine. Since the debugger is designed in a very modular way, it's also easy to write other frontends for it or to integrate it in IDE applications.<br />
  He'll also demonstrate the GUI and explain people how to debug their applications with it, so this talk will be interesting both for users and for potential developers.<br />
  At the end of the talk, he'll also explain which areas of the debugger need more work and where potential contributors can help with making an even better super-kick-ass application.</p>

  <p>Martin is a student of applied mathematics and computer science in Germany. He became involved with GNOME and Free Software since the early days of this project. After taking a longer leave to concentrate on university, he quickly became involved with the Mono project and finally became employed by this wonderful and great company Ximian where he's now hacking on Mono and the Mono Debugger as much as his student live permits.</p><!-- Space -->
  <br />
  <br />

  <h3>Implementing ATK For Custom Widgets, Marc Mulcahy &amp; Padraig O'Briain</h3>

  <p><img src="padraig_obriain.jpg" align="right" hspace="10" vspace="10" border="1" alt="Padraig O'Briain" /> <img src="marc_mulcahy.jpg" align="right" hspace="10" vspace="10" border="1" alt="Marc Mulcahy" /></p>

  <p>The GAIL library provides accessibility support for the stock GTK+ widget library, by implementing the ATK interfaces on behalf of those widgets. But most sizeable GNOME applications use at least one custom widget, often derived from GtkDrawingArea or even GtkWidget. This tutorial will show</p>

  <ul>
    <li>what ATK support a widget gets "for free"</li>

    <li>how GAIL's ATK support works</li>

    <li>how to determine which ATK interfaces a widget needs</li>
  </ul>

  <p>and walk you through the process of implementing ATK support for an actual GNOME-2 custom widget.</p>

  <p>Marc Mulcahy has been working for Sun Microsystems on the GNOME Accessibility Project for two years. He has contributed code to several modules of the project including Gail and at-spi, and is the current maintainer and original author of the gnome-speech project. In his spare time, Marc enjoys writing and using software relating to streaming media, running an internet radio station, and hiking and camping in the mountains around his home in Colorado.</p>

  <p>Padraig is a software engineer with Sun. For the past two years he has worked on GNOME's accessibility infrastructure and contributed bug fixes to various parts of GNOME. He started out as a mathematician many years ago but joined the software industry when he returned to Ireland from the USA with a wife.</p><!-- Space -->
  <br />
  <br />

  <h3>Profiling And Performance Optimizations, Soeren Sandmann</h3>

  <p><img src="soeren_sandmann.png" align="right" hspace="10" vspace="10" border="1" alt="Soeren Sandmann" /></p>

  <p>This talk is an introduction to profiling optimizing for performance. Topics covered will include.</p>

  <ul>
    <li>How to measure performance</li>

    <li>Scalability</li>

    <li>The SpeedProf profiler</li>

    <li>Performance improving tricks

      <ul>
        <li>using a better algorithm</li>

        <li>caching</li>

        <li>specializing the common case</li>

        <li>the gtk_redraw_on_allocate flag</li>
      </ul>
    </li>
  </ul>

  <p>Soeren first contribution to glib dates back to 1999. Since then he has worked on various parts of glib, pango and gtk+, including the default theme, documentation, menus, keyboard navigation and pixbuf loaders. Lately he has worked on performance improvements for these libraries.<br />
  In his spare time he is supposed to write his master's thesis at Aarhus University.</p><!-- Space -->
  <br />
  <br />

  <h3>Using MAS Infrastructure And Sound Server, Leon Shiman &amp; Mike Andrews</h3>

  <p><img src="leon_shiman.jpg" align="right" hspace="10" vspace="10" border="1" alt="Leon Shiman" /></p>

  <p>The main goals of this paper are:</p>

  <ul>
    <li>To present a detailed roadmap for using MAS as sound server in GNOME (with demo)</li>

    <li>To give the necessary architectural and API detail to enable developers to write applications using MAS infrastructure</li>

    <li>To discuss and detail how MAS relates to major sound and media application group projects</li>
  </ul>

  <p>X.Org's MAS Technology creates a Free Software Standard control and communication mechanism, for integrated support of all desktop and network media applications, with full support for X.<br />
  The MAS Media Application Server, is available at <a href="http://www.MediaApplicationServer.net">http://www.MediaApplicationServer.net</a>. MAS provides a standard free core process, for any desktop, to open, locally or remotely a peer network for common, fully distributed mixed media. Sound server functionality is a fundamental feature.<br />
  MAS will be distributed fully integrated with the X Window System on all major Unix and Linux platforms.<br />
  In our talk, we will describe the many developer options for new application development and for integration provided by the MAS architecture. this will include disussion of the extensible MAS Programmer Interfaces, API and DPI, and other major internal features of the Ansi C 89 code base.<br />
  We will discuss the particular issues and requirements for integrating in, or adapting MAS functionality to: GNOME, KDE, Jack, GStreamer, PortAudio, common reference standards such as OSS, ESound, ALSA, and other media software now under active development and use.</p>

  <p>PhD, MIT. Formerly at MIT, the Freie Universitaet Berlin, Director of Computing, Whitehead Institute for Biomedical Research (MIT). Board of Directors, X.Org, UIG (ANSI ASC X12). Founder of Shiman Associates Inc (SAI), group consultancy for IT Architecture and Free Systems; products include MAS (TM) and "Alex" (The Alexandrian Authority (TM)).</p><!-- Space -->
  <br />
  <br />

  <h3>The XML Libraries And Advanced Schema Validation, Daniel Veillard</h3>

  <p><img src="daniel_veillard.jpg" align="right" hspace="10" vspace="10" border="1" alt="Daniel Veillard" /></p>

  <p>This talk will be split into 2 main sections.<br />
  The first part will cover the updates made to the GNOME XML libraries during the last year:</p>

  <ul>
    <li>Support of new specifications: XML Base, XInclude, RelaxNG, XML Schemas datatype, Canonical XML ...</li>

    <li>The addition of the XML Sec library for XML Digital signature and encryption</li>

    <li>description of the XmlReader API</li>

    <li>Update on the existing libxml and libxslt code, and language bindings</li>
  </ul>

  <p>The second part will focuse on advanced schemas validation based on the new support for Relax NG and XML Schemas datatypes:</p>

  <ul>
    <li>basic fist steps examples using Relax NG</li>

    <li>simple comparisions with DTDs</li>

    <li>more complex examples</li>

    <li>using the Schemas datatypes</li>

    <li>simple tutorial on how to use it at the C and Python API level</li>
  </ul>

  <p>Future work and conclusions.</p>

  <p>Daniel Veillard is ex co-chair of the W3C XML Linking WG, member of the XML Core WG, main implementer of the libxml and libxslt C libraries and Python wrappers. He is also implementer and maintainer of the rpmfind services. Veillard is a Member of the Board of the GNOME Project. PhD in distributed operating system, Grenoble 96.</p><!-- Space -->
  <br />
  <br />

  <h3>How I Learned To Stop Worrying And Love Python, Johan Dahlin</h3>

  <p><img src="johan_dahlin.jpg" align="right" hspace="10" vspace="10" border="1" alt="Johan Dahlin" /></p>

  <p>One of the problems with the current development framework for GNOME is that it's very focused on using the low level C language for almost everything. This is good for libraries but not optimal for applications. Python as a modern, well known and powerful language, with a clear syntax and excellent object oriented techniques is a very good alternative to C.<br />
  The current python bindings covers libraries ranging from ATK and Pango, to Pautilus and Panel Applets. The talk will describe the current state of python in GNOME, what libraries it covers, which applications are using it. It will also look in the future of python in gnome. It will also include a brief comparison to other language bindings (C#, C++, Perl and Ada).<br />
  If time permits, I'll also show the basics of writing bindings for C libraries.</p>

  <p>Johan Dahlin is 21 years old. Originally from Sweden he is currently settled South American as a contributor for Async Open Source in Sao Carlos, Brazil.<br />
  He's been using GNOME since the October edition and has been a small contributor to most of the core modules. He's most focused on improving the python bindings to make it easier for new developers to develop application under the GNOME framework. Most of the bindings for gnome-python are verdicts of him. He's also the original author of Devhelp and author of bonobo-python.</p><!-- Space -->
  <br />
  <br />

  <h3>GNOME Documentation : The Past, The Present And The Future, Pat Costello, Irene Ryan &amp; Eugene O'Connor</h3>

  <p><img src="eugene_oconnor.jpg" align="right" hspace="10" vspace="10" border="1" alt="Eugene O'Connor" /> <img src="irene_ryan.jpg" align="right" hspace="10" vspace="10" border="1" alt="Irene Ryan" /> <img src="pat_costello.jpg" align="right" hspace="10" vspace="10" border="1" alt="Pat Costello" /></p>

  <p>Pat Costello, Irene Ryan, and Eugene O'Connor will talk about the following topics:</p>

  <ul>
    <li>Where GNOME documentation was circa 1999/2000</li>

    <li>Key structural developments in GNOME documentation, such as templates, GDSG</li>

    <li>Key conceptual developments in GNOME information design, different approaches</li>

    <li>Where we are now</li>

    <li>Things we still need to do in GNOME documentation</li>

    <li>General concepts of information design</li>

    <li>Why every developer needs a friendly information design team</li>
  </ul>

  <p>Pat leads the GNOME desktop documentation team in Sun Microsystems. In this role, Pat facilitates the development of documentation strategies for the GNOME desktop in Sun, either for individual manuals or for full documentation sets. Pat has worked hard to spread the word about information design among the GNOME community. He is the coordinator for the GNOME Documentation Style Guide and has provided much of the content for that cornerstone document. Pat is qualified in Physics and Maths, and is fluent in several European languages. During the past 25 years, he has lived in five different EU countries, working in a variety of multinational companies. In addition to many years in technical documentation, Pat has worked in electronics, technical journalism, marketing communications, and English teaching. Pat plays the flute, and reads Spanish and German novels for relaxation.</p>

  <p>Eugene has been a technical writer on the GNOME desktop documentation team in Sun Microsystems since November 2000. Eugene wrote and maintains the <a href="http://www.gnome.org/learn/users-guide/latest/">User Guide</a> and the <a href="http://www.gnome.org/learn/admin-guide/2.2/">System Administration Guide</a>. Eugene also contributes to the GNOME Documentation Style Guide, and coordinates the Recommended Terminology section of that guide. Eugene has worked as a technical writer for ten years, including four years with a contract agency, and four years with DEC/Compaq. In that time, Eugene has worked on a wide variety of projects such as telecommunications systems, geographic information systems, financial information systems, firewall applications, tools for analyzing system health, ecommerce sites, product promotional databases, and more.</p>

  <p>Irene is a technical writer on the GNOME desktop documentation team in Sun Microsystems, based in Dublin. Irene wrote and maintains the online Help for approximately 25 of the GNOME applications and applets that were shipped with the GNOME 2.0 desktop. Irene is also the author of the <a href="http://www.gnome.org/learn/access-guide/2.2/">GNOME 2.2 Desktop Accessibility Guide</a>. Irene helped to develop templates for the GNOME online Help manuals, contributed to the GNOME Documentation Style Guide (GDSG), and contributes to the Terminology section of the GDSG. Irene entered the field of technical writing 12 years ago as a graduate technical writer with Digital Equipment Corporation. In the course of her career in both the corporate world and as a freelance technical writer, Irene has worked on a wide range of information design projects.</p><!-- Space -->
  <br />
  <br />

  <h3>EggToolbar And EggMenu, James Henstridge</h3>

  <p><img src="james_henstridge.jpg" align="right" hspace="10" vspace="10" border="1" alt="James Henstridge" /></p>

  <p>EggMenu is a new menu and toolbar handling system intended to supercede the current GtkItemFactory, GNOMEUUINFO and Bonobo UI Handler APIs. This talk will discuss some of the design decisions, and some info on using the EggMenu APIs.<br />
  It will also cover some of the features of the new EggToolbar that was implemented to support the new menu handling API.</p>

  <p>James Henstridge has been working on Gnome since 1998. He has worked on things ranging from development platform libraries to language bindings to applications. He lives in Perth, Western Australia where he works as a programmer.</p><!-- Space -->
  <br />
  <br />

  <h3>Configuration Based Programming, Jonathan Blandford</h3>

  <p><img src="jonathan_blandford.jpg" align="right" hspace="10" vspace="10" border="1" alt="Jonathan Blandford" /></p>

  <p>The control-center of GNOME has often been a bellwether of where GNOME is heading technologically. It was one of the first application's to use CORBA in GNOME, adopt the HIG, and heavily use GConf. This talk will go over a little bit of the history of the control-center, with a heavy emphasis on the work done during the past year and a half. It will cover higher-level issues of programming with GConf and gnome-vfs, and discuss some of the technology moving from the control-center to the core GNOME libraries.</p>

  <p>Jonathan Blandford is a co-maintainer of the control-center. He started working on GNOME in 1997 writing AisleRiot, the GNOME solitaire rogram. Since then, he's worked on many different projects, as well as served on the Board of Directors. He currently spends his time working on the control-center and GTK+.</p><!-- Space -->
  <br />
  <br />

  <h3>GStreamer Application Development, Ronald Bultje</h3>

  <p><img src="ronald_bultje.png" align="right" hspace="10" vspace="10" border="1" alt="Ronald Bultje" /></p>

  <p>GStreamer, the multimedia architecture of GNOME 2.2, has an extended low-level interface, which may not meet the expectations of developers that only need multimedia for simple purposes (play-a-beep). Many application developers seem to think that this is the only interface exported by GStreamer, though, which is a misconception. GStreamer features several higher-level interfaces that focus more on specific functions (playback, recording, editing) that allow for more convenient programming for the application developer. This talk will focus on the higher-level interfaces of GStreamer and how applications can be built from them. It will go from the bell-on-button- click on to advanced editing features. The talk will also feature a short demo of some current GStreamer-based applications that provide and/or implement such higher-level interfaces.</p>

  <p>Ronald is a full-time student at the University of Utrecht, department of pharmacy, where he's currently finishing up for his masters degree. For this, he is doing a one-year internship at the department of psychopharmacology, where he's working on the development of drugs against anxiety-related stress.<br />
  Concerning computers, Ronald is maintaining a video-capture driver (<a href="http://www.cicese.mx/~mirsev/Linux/DC10plus/">zoran</a>) and is doing some random application work for <a href="http://www.gstreamer.net">GStreamer</a> and the <a href="http://mjpeg.sf.net/">MJPEG project</a>. Ronald is mostly interested in video capture and editing. He is also working for a company (<a href="http://www.dsnl.net/">Delta Solutions</a>) where he is building a video broadcast archiving and streaming system based on Linux.</p>

  <h2><a name="tuesday_speakers" id="tuesday_speakers"></a>Tuesday, 17th June</h2>

  <h3>Keynote, Alan Kay</h3>

  <h3>Mono Project Update, Miguel de Icaza</h3>

  <p><img src="miguel_de_icaza.jpg" align="right" hspace="10" vspace="10" border="1" alt="Miguel de Icaza" /></p>

  <p>Mono is an implementation of the .NET Framework and the ECMA and ISO standards for the Common Language Infrastructure and the C# programming language.<br />
  This talk will describe the status of the Mono project as of today: what is available today for developers to use, what has been achieved as well as describe the shortcomings of our implementation.<br />
  An overview of the project will be presented: our virtual machine implementation, JIT-ing, pre-compilation of code, status of the multiple-platform support.<br />
  On the development side of things, we will do an overview of the tools available for developers to build applications with Mono: the compilers available, documentation systems, profiling tools, and debugging tools available for Mono.</p>

  <p>Miguel de Icaza is the founder of the GNOME project, and more recently the Mono project. He is the Chief Technical Officer for Ximian, and is a free software advocate.</p><!-- Space -->
  <br />
  <br />

  <h3>Getting On D-BUS, Anders Carlsson</h3>

  <p><img src="anders_carlsson.jpg" align="right" hspace="10" vspace="10" border="1" alt="Anders Carlsson" /></p>

  <p>D-BUS is a freedesktop.org project to create a low-latency, low-overhead and easy to use interprocess communication (IPC) system.</p>

  <ul>
    <li>D-BUS is low-latency because it is designed to avoid round trips and allow asynchronous operation, much like the X protocol.</li>

    <li>D-BUS is low-overhead because it uses a binary protocol, and does not have to convert to and from a text format such as XML. Because D-BUS is intended for potentially high-resolution same-machine IPC, not primarily for Internet IPC, this is an interesting optimization.</li>

    <li>D-BUS is easy to use because it works in terms of messages rather than byte streams, and does not require users to understand any complex concepts such as a new type system or elaborate APIs.</li>
  </ul>

  <p>In most cases D-BUS uses a special bus daemon program that clients connect to, and which then routes the messages to its destination.<br />
  The plan for D-BUS is to make it usable by everyone, it's therefore licensed under a very free license, the Academic Free License. In addition, it has no external dependancies.<br />
  This talk will explain the rationale behind D-BUS, particularly the need to create yet another IPC-like system and explore the design decisions made during the projects development.<br />
  Get on D-BUS today!</p>

  <p>Anders has been involved with GNOME since late 1998 and is currently maintaining the GNOME core libraries as well as hacking on various parts of GNOME and the underlying libraries. Employed part-time by CodeFactory AB, Anders is studying Computer Science at the Gothenburg University in Sweden.</p><!-- Space -->
  <br />
  <br />

  <h3>GPE - GPDA Environment, Nils Faerber</h3>

  <p><img src="nils_faerber.jpg" align="right" hspace="10" vspace="10" border="1" alt="Nils Faerber" /></p>

  <p>The GPE project is about creating an integrated desktop environment for Linux PDAs and other small Linux devices based on similar tools like GNOME. It was presented at GUADEC 2002 and evolved quite well since then. Features include GTK+ 2.2, Xft, GConf and GStreamer support. The application framework is almost production ready.<br />
  The most basic PIM applications like Calendar, Contacts and To-Do List have been implemented. A SQL database is in place and takes care of the data storage of those and other applications. A more sophisticated database framework implementing concurrent access protection as well as other security means is in the works. A configuration framework partially based on GConf has been implemented along with a lot of configuration applets. With those it is possible to easily configure the system.<br />
  Parts of GPE use technologies known from GNOME. The audio player for example uses GStreamer for audio media playing. The filemanager uses parts of gnome-vfs for handling filetypes.<br />
  Due to the transition from GTK+ 1.2 to GTK+ 2.2 GPE can make use of the same features like regular desktop applications can use now, namely better font rendering and display migration. This capability offers a whole new range of possibilities which are going to be explored!<br />
  The talk will present GPE's basics as well as the development and progress since the last year's talk. Additionally GPE's possible future development will be presented and is open for discussion and ideas! Especially future integration with the GNOME desktop is a very interesting topic.</p>

  <p>Born in 1970 Nils Faerber is computer addicted since the first science fiction films: "Oh my god! It's full of blinken lights!". After some booring years in school he still thinks that digital watches are a pretty neat idea and so went out to explore this brave new world in detail.<br />
  As student of computer science at the university of Siegen and subsequently without the financial power to invest in expensive commercial tools he came to the conclusion that free software is the good side of the power. Starting with Linux 0.96 he came to the wonderful world of free software and its development and still sticks to it. His activities include Linux kernel hacking, especially for other platforms than x86 and embedded hardware. He has also published several articles in different magazines about this topic. All this culminated in the year 1999 in founding an own company, kernel concepts, which concentrates on custom Linux system development. He can be reached at <a href="mailto:nils@kernelconcepts.de">nils@kernelconcepts.de</a></p><!-- Space -->
  <br />
  <br />

  <h3>The Way Of XML, Liam Quin</h3>

  <p><img src="liam_quin.jpg" align="right" hspace="10" vspace="10" border="1" alt="Liam Quin" /></p>

  <p>The Extensible Markup Language has become very popular. It's being used in ways the designers never anticipated, and by people with little or no background in text markup.<br />
  It's difficult for software developers, documenters and testers to see how best to use XML, and to understand the principles behind its design.<br />
  This paper is an introduction to those principles, and also projects the future direction for XML as specifications and applications move from lexical to strongly-typed data-model-based manipulations.<br />
  XML, XSLT, XML Schema, Web services and maybe soon XML Query, all are becomes part of our computing infrastructure. The Open Source community must not get left behind!<br />
  Notes:<br />
  I'll talk about XML as being fundamentally text based, and how it was originally developed for hand authoring; now that it's widely used for RPC (SOAP), configuration files, window manager themes, nautilus eye candy and other non-document applications, there is a lot of value in keeping to a single "infoset"-based view, and to making sure that XML one writes can be transformed with XSLT or manipulated with XML Query.<br />
  The future of XML involves the Web, immersive hypermedia, the office (e.g. Office 11 seems to blow OO and abi away in terms of XML support) and integration via web services and query mechanisms into databases and applications.</p>

  <p>Liam Quin was manufactured in England in 1962; he first used Unix in 1981 as an undergraduate at Warwick University. He's been involved with digital typography and text processing since 1982, SGML since 1987, XML since its first inception, and is now the XML Activity Lead at the World Wide Web Consortium. He first released free (public domain) software to the net in 1983. Liam is also known for having unusual hats and bare feet.</p><!-- Space -->
  <br />
  <br />

  <h3>Desktop Integration With GNOME, Rodney Dawes</h3>

  <p><img src="rodney_dawes.jpg" align="right" hspace="10" vspace="10" border="1" alt="Rodney Dawes" /></p>

  <p>This talk will be focus on the integration issues that are present in the current GNOME Desktop and various applications that are based on the GNOME platfrom, solutions to the problems, and ways to avoid the problems and provide the best integration possible with future applications. Examples where problems exist include Theme installation and detection, as well as using icon themes in applications, look and feel of the different toolbar implementations in GNOME/GTK+, improving the usability of various core components, VFS support in applications, and using the Notification Area. There will also be discussion of using Bonobo and ORBit for doing IPC and use as a plug-in architecture for applications.<br />
  Possiblities for integration include shared cookies, bookmarks, and other related data. There is definately way more to discuss about integration than could occur in a single hour, but it would be nice to cover as much as possible. There are a multitude of ways to improve integration in GNOME, though currently Windows and MacOS are superior in that aspect. Having a HIG and other standards are a good start to solving some issues in the integration area, and we should try to expand and improve on those.</p>

  <p>Rodney is a Software Engineer for Ximian, Inc., working on the Evolution Groupware Suite. He has been developing with the GTK+/GNOME framework for about 5 years now. He has written several applications for GNOME, and have dealt extensively with home and corporate users in his previous position as a technician, primarily with the Windows operating environment. He is currently solving some of the integration issues with Evolution, as part of the GNOME 2.x platform porting effort, as well as working on several applications to make using GNOME more enjoyable for end users.</p><!-- Space -->
  <br />
  <br />

  <h3>The Exchange IT Plugin For Evolution, Pierre Phaneuf</h3>

  <p><img src="pierre_phaneuf.jpg" align="right" hspace="10" vspace="10" border="1" alt="Pierre Phaneuf" /></p>

  <p>ExchangeIT is Net Integration Technologies' soon-to-be-released Linux-based alternative for Microsoft Exchange. Unlike the other Exchange alternatives that have been popping up lately, ExchangeIT includes both a server and a plugin module for Microsoft Outlook, so you can really replace just Exchange, even if your users want to stay with Outlook.<br />
  To complete the package, we are writing GPLed ExchangeIT plugins for the Horde web groupware software and Ximian Evolution. This allows all three programs -- Outlook, Horde, and Evolution -- to easily share calendars, addressbooks, and contact lists through the ExchangeIT server, and that provides a smooth migration path from Windows to Linux desktops.<br />
  He will give an overview of ExchangeIT and of what is involved in making a plugin for Evolution to support it. He will also rant a bit about the respective coding styles of Outlook vs. Evolution programmers and their architectures, having seen the results of both.</p>

  <p>Back in 1994, Pierre got hold of an old copy of the Jargon File and had an epiphany: there were others! During the following year, he started using Linux and soon dropped out of college to hack persistent and distributed objects, and do Linux consulting work.<br />
  After a detour into AIX and VAXen, he worked for the high performance computing subsidiary of NEC and then Cray (with the magic of corporate alliances), where he hacked vector supercomputers tuning for one of the first-tier Top500 site. During that time, he also did a native port of Quadra, a Windows DirectX game, contributed to Mozilla's XPCOM and first started working on XPLC.<br />
  He is currently a Mad Scientist at Net Integration Technologies R&amp;D Center since early 2002, where they actually pay him to hack various things, including XPLC. He is a member of the "Take Over the World" club.</p><!-- Space -->
  <br />
  <br />

  <h3>PyORBit - ORBit2 Bindings For Python, James Henstridge</h3>

  <p><img src="james_henstridge.jpg" align="right" hspace="10" vspace="10" border="1" alt="James Henstridge" /></p>

  <p>PyORBit is a new Python binding for the ORBit2 CORBA ORB. It was developped in response to the needs of the gnome-python package. It makes heavy use of the ORBit::IModule interfaces in ORBit2. This allows us to efficiently build stubs at runtime from typelibs, rather than having to generate stub source files ahead of time.<br />
  This talk will detail some of the internal design decisions made in PyORBit, and outline some of the features unique to the binding.</p>

  <p>James Henstridge has been working on Gnome since 1998. He has worked on things ranging from development platform libraries to language bindings to applications. He lives in Perth, Western Australia where he works as a programmer.</p><!-- Space -->
  <br />
  <br />

  <h3>Using And Managing GDM, George Lebl</h3>

  <p><img src="george_lebl.png" align="right" hspace="10" vspace="10" border="1" alt="George Lebl" /></p>

  <p>GDM2 does many things, however it contains almost no documentation. This talk would be an attempt to correct this situation. GDM2 was written as a simpler alternative to xdm and is in fact a complete rewrite and does not use any xdm code. It is simpler in places and more advanced in others, so it may not perhaps replace all the applications of xdm, but it aspires to be good enough to replace most, while having some other neat features that xdm doesn't have and overall being more user friendly. This talk will guide Sysadmins through the more advanced setups of GDM2 such as running multiple servers, customizing the login, setting up XDMCP (with a complete explanation of how XDMCP works), running X terminal labs with GDM2, communicating with GDM2 using the socket/pipe protocol, and tips and solutions for problems in setups that users have encountered. The talk will also go through the planned enhancements.</p>

  <p>George was born in Prague and as a consequence likes beer very much. He moved (or rather was moved) to US at age 13. He studied quite a few things, first at University of Arizona and then San Diego State University before finally graduating with a Bachelors in Math. By the time that GU4DEC starts he should in fact also have a Masters in Math, and perhaps he will start working on the ultimate in geekdom, a PhD in Math.<br />
  George was one of the original GNOME developers and many projects have been subjected to his terrible coding. He is very proud to have written perhaps the most easter eggs of any other GNOME developer. He has been the maintainer of many GNOME things including the Panel for a while, though nowadays he is busy with school and pretends only to maintain GDM and Genius.</p><!-- Space -->
  <br />
  <br />

  <h3>Nautilus - Underneath The Shell, Alexander Larsson</h3>

  <p><img src="alexander_larsson.png" align="right" hspace="10" vspace="10" border="1" alt="Alexander Larsson" /></p>

  <p>Nautilus is the official file manager and desktop shell for the GNOME desktop. It was initially developed by the company Eazel, but is now being maintained by Alexander Larsson and Dave Camp.<br />
  In this talk I will give an overview of the design and implementation of Nautilus and the parts of the GNOME platform that it relies on. I will also give concrete pointers to interesting parts of the sources for developers who wish to hack on Nautilus, or just learn more about it.</p>

  <p>Alexander Larsson has a MSc from Linkoping Institute of Technology. He currently works in the desktop group at Red Hat, Inc, doing packaging, integration and bugfixing for the Red Hat Linux desktop. He also spends a lot of time working on GNOME, where he maintains modules such as Nautilus and gnome-vfs. Prior to this he worked at a Cendio Systems doing Mozilla and embedded Linux kernel work.</p><!-- Space -->
  <br />
  <br />

  <h3>Helix Community: Mobile Multimedia and Open Source/Free Software, Rob Lanphier</h3>

  <p><img src="rob_lanphier.jpg" align="right" hspace="10" vspace="10" border="1" alt="Rob Lanphier" /></p>

  <p>Though GNOME is primary focused at desktop users, there's another world in the land of mobile users. Heavy investment is occurring in third generation ("3G") infrastructure, and in standards for all vendors sharing in creating that infrastructure. Why does this matter to GNOME? Because GNOME users can benefit from a cross-platform solution that works for mobile users and desktop users alike, all based on open source components. The Helix Community is working to bridge that gap, and can use the help of open source developers to make all content work on all devices, be it mobile phones, PDAs or Linux desktop machines. We'll discuss the various standards in the mobile multimedia market, and how it relates to GNOME.</p>

  <p>Rob Lanphier is the Helix Community Coordinator for RealNetworks. He has been at RealNetworks for 7 years, working on many initiatives, including co-authoring the RTSP specification, and working in the W3C on both major versions of SMIL. Lanphier received his B.S. in Computer Science from the University of Idaho.</p><!-- Space -->
  <br />
  <br />

  <h3>Talk To Me - Speech Services For GNOME, Marc Mulcahy</h3>

  <p><img src="marc_mulcahy.jpg" align="right" hspace="10" vspace="10" border="1" alt="Marc Mulcahy" /></p>

  <p>GNOME-speech is a new GNOME module which provides speech services for the desktop. It works with a range of available "text to speech engines", and gives desktop applications and assistive technologies a common API for discovering and making use of speech. Marc will introduce and demonstrate the API and discuss future plans for gnome-speech "1.0", including voice input.</p>

  <p>Marc Mulcahy has been working for Sun Microsystems on the GNOME Accessibility Project for two years. He has contributed code to several modules of the project including Gail and at-spi, and is the current maintainer and original author of the gnome-speech project. In his spare time, Marc enjoys writing and using software relating to streaming media, running an internet radio station, and hiking and camping in the mountains around his home in Colorado.</p><!-- Space -->
  <br />
  <br />

  <h3>GNOME BOF: What Can We Learn From Windows, KDE and OSX?, Fernando Herrera</h3>

  <p><img src="fernando_herrera.jpg" align="right" hspace="10" vspace="10" border="1" alt="Fernando Herrera" /></p>

  <p>The idea of the BOF is doing a "live comparation" about these user interfaces, and try to collect a list of good things of any of them. We should conclude it with a list of features/ideas that GNOME could use or implement. We'll try to resume all the previous work done in this area (lot of comparations over the net) and discuss them on-the-fly.</p>

  <p>Fernando Herrera has been an open source developer from 1996. In 1997 he led the project Eurielec Linux, the first Spanish Linux distribution (and, yes, the first in the world incluiding KDE beta in the default instalation!). Since then he has contributed to some projects (usually very little contributions) like XFree86, the first linux-usb project, some KDE programs, CiberTienda,... He has also written technical articles for some spanish magazines about Unix programing, GTK+, KDE, etc...<br />
  He got involved in GNOME very recently, first doing random patches and bugfixing, and finally taking over the maintanership of our beloved bug-buddy.<br />
  Currently he is finishing a degree in Computer Engineiring and working for Onarica, a little startup that he founded with various friends three years ago.</p><!-- Space -->
  <br />
  <br />

  <h3>IDA - The European eGovernment Programme, Bernhard Schnittger</h3>

  <p><img src="bernhard_schnittger.jpg" align="right" hspace="10" vspace="10" border="1" alt="Bernhard Schnittger" /></p>

  <p>Three years into the life of the eEurope Initiative what has been achieved in eGovernment in Europe and what are the current challenges? For 8 years IDA, the Community programme in support of the interchange of data between administrations, has worked to encourage the take-up of information technologies in the public sector, starting with the installation of e-mail services between a handful of national administrations in the nineties. Today, many of the underlying technologies used in the European public services have been harmonised but lack of interoperability is still hindering full roll-out of cross-border government services and fragmenting the market. In addition, the re-orientation towards customer-centric services means that usability and accessibility have taken on an importance equal to interoperability. The presentation will outline how IDA addresses these issues at European level.</p>

  <p>Bernhard Schnittger joined the European Commission in Brussels in 1995. He has been working in the IDA unit of Directorate-General Enterprise since 1997, driving the implementation of a trans-European network for secure communications between public administrations. He first started working on open source-related issues in 2000 and has been leading a number of OSS projects since then. Since 2002 Bernhard is responsible for the implementation of IDA's work programme for horizontal actions and for co-ordinating with the national partners. The main strands of activity include networking services, middleware, security, specific business solutions, but also interoperability guidelines, measures in support of good practice and quality assessment.</p><!-- Space -->
  <br />
  <br />

  <h3>CORBA/Bonobo - GNOME's IPC Framework, Michael Meeks</h3>

  <p><img src="michael_meeks.jpg" border="1" align="right" hspace="10" vspace="10" alt="Michael Meeks" /></p>

  <p>This talk will explain the guts of ORBit2 and bonobo, and the new features therein. It will demonstrate some of the bindings, and interoperability IIOP makes possible, the merits of an object oriented approach, and why this is important. We'll also look at the 'wealth' of different IPC systems out there.<br />
  I'll spend some time explaining why the CORBA binding is like it is, and the power of it. Hopefully I'll encourage people that a 'CORBA_' prefix on a type is not something to be more scared of than a 'g' prefix.<br />
  I'll also explain how not to use CORBA, the GNOME 2.4 asynchronous IPC functionality, the power of type libraries with a recursive type system and why an in-proc ABI makes sense. We'll also look at some of the new Bonobo developments, and the features coming to GNOME 2.4 to make CORBA/Bonobo far easier to use.</p>

  <p>Michael is a Christian and enthusiastic believer in Free software. He very much enjoys working for Ximian Inc. where as a member of the Research Labs he has worked on GNOME 2.2 infrastructure and applications, particularly CORBA, Bonobo, Nautilus and accessibility, amongst other interesting things. He now works full time on OpenOffice.org. Prior to this he worked for Quantel gaining expertise in real time AV editing and playback achieved with high performance focused hardware / software solutions.</p><!-- Space -->
  <br />
  <br />

  <h3>GNOME Community Marketing, Jeff Waugh</h3>

  <p><img src="jeff_waugh.png" align="right" hspace="10" vspace="10" border="1" alt="Jeff Waugh" /></p>

  <p>Inspired by the OpenOffice.org Marketing Project (which was presented at GUAD3C last year), I'm on a mission to build a similar community-based marketing project for GNOME. It's an excellent way for eager GNOME users around the world to contribute back to the project they love, without writing a line of code! Issues covered in the presentation and discussion include:</p>

  <ul>
    <li>Establishing project-wide marketing goals, messages and audience</li>

    <li>Working with the various GNOME teams, developers and the Foundation Board to advocate GNOME, and report its achievements</li>

    <li>Engaging with marketing professionals, companies and communities associated with The GNOME Project</li>

    <li>Building global and local mindshare, using the time-honoured "network army" technique we use to build our software! :-)</li>
  </ul>

  <p>Jeff Waugh is the head beekeeper of the GNOME Release Team, a director of the GNOME Foundation, and President of the Sydney Linux Users Group. In his spare time, he is an independent IT consultant specialising in Open Source and Free Software.</p><!-- Space -->
  <br />
  <br />

  <h3>SVG And GNOME, Dom Lachowicz &amp; Christian Schaller</h3>

  <p><img src="christian_schaller.jpg" align="right" hspace="10" vspace="10" border="1" alt="Christian Schaller" /> <img src="dom_lachowicz.jpg" align="right" hspace="10" vspace="10" border="1" alt="Dom Lachowicz" /></p>

  <p>With the release of the GNOME 2 platform, SVG has played a prominent role in how our user's desktops look and behave. With GNOME 2.2, SVG handling has become transparent for many of the core applications and libaries, and with the icon-theme specification, SVG has played a leading role in standardizing the look and feel of both the KDE and GNOME desktops. This talk will describe the future and current roles of SVG in the GNOME desktop, give an overview of SVG, describe the past, present, and future of LibRSVG, may discuss SVG creation/editing tools (such as sodipodi), and will talk about Christian's experience building SVG themes. High amounts of eye-candy are expected.</p>

  <p>Dom is a 24 year old Software Developer, with most of his OpenSource time/talent focussed on Office-like applications and supporting libraries.</p>

  <p>Christian F.K. Schaller has been contributing to GNOME for the last 5 years. He has a Master degree in Marketing and Economics and work as a Senior Consultant at Oracle in Norway. His current GNOME related activities center around writing the GNOME Summaries and contributing however he can to the GStreamer and librsvg efforts.</p><!-- Space -->
  <br />
  <br />

  <h3>GNOME Organization And Teams, Luis Villa</h3>

  <p><img src="luis_villa.png" align="right" hspace="10" vspace="10" border="1" alt="Luis Villa" /></p>

  <p>GNOME has come a long way in terms of organization and team construction, but we've still got a long way to go. This presentation will discuss the topic from two side: first, the macro 'what is our organizational structure? What does it look like on paper, and what does it look like in the real world?' Second, the micro: how do you build a team that works within this structure?<br />
  Bugsquad will, of course, be the case study- when has it integrated well with other teams? When has it not? How has it grown (or failed to grow) over the past year? Hopefully this introspection will benefit not only bugsquad but other teams seeking to grow in a way that will benefit both their own goals and the greater goals of GNOME.</p>

  <p>While an undergraduate computer science and political science major at Duke University, Luis worked as a volunteer with the Mozilla project's QA team. After graduation, Luis was hired to lead and organize the QA process for Ximian's Evolution PIM. After the sucessful release of Evolution, Luis began working on the GNOME desktop's 2.0 release, successfully planning and executing a QA plan that tied together professional QA from Sun, Inc. and QA volunteers from all over the globe. The eventual result of the plan was the GNOME 2.0 desktop, widely considered the most stable and bug-free release GNOME has yet had.</p><!-- Space -->
  <br />
  <br />

  <h3>Integrating Bluetooth With GNOME, Edd Dumbill</h3>

  <p><img src="edd_dumbill.jpg" align="right" hspace="10" vspace="10" border="1" alt="Edd Dumbill" /></p>

  <p>Bluetooth allows wireless connections between computers and mobile phones, PDAs, printers and other peripherals. The Linux kernel has Bluetooth support, and work is underway on FreeBSD. This talk will briefly explain the major points of Bluetooth support, and introduce the author's GPL'd GNOME Bluetooth subsystem. The subsystem provides an architecture for giving GNOME applications easy access to Bluetooth facilities, aiming also to provide a straightforward user experience. It comprises a GObject for direct access to Bluetooth facilities, and a Bonobo server for providing system-wide management of devices and isolated access to Bluetooth connections.<br />
  The GNOME Bluetooth work is at an early stage, and this talk will also provide the ideal opportunity to influence and help with future directions.</p>

  <p>Edd Dumbill is a freelance writer, editor and developer of free software. He is working on Bluetooth-related software for GNOME, and maintains the Debian packages for the Linux BlueZ Bluetooth stack, and the GNOME Epiphany web browser.<br />
  Edd chairs the annual XML Europe conference, is the Managing Editor of O'Reilly's XML.com and WebServices.XML.com, and writes regularly for IBM developerWorks.</p><!-- Space -->
  <br />
  <br />

  <h3>Evaluations Of GNOME Usability: Expanding The Appeal Of GNOME, Calum Benson</h3>

  <p><img src="calum_benson.jpg" align="right" hspace="10" vspace="10" border="1" alt="Calum Benson" /></p>

  <p>In March 2001, at GUADEC in Copenhagen, we presented the results of the first major usability study to be conducted on GNOME. Several usability enhancements were suggested that we felt would have to be made to GNOME if it was to become a credible contender in the UNIX desktop arena.<br />
  Since that paper was presented, the GNOME Usability Project has been formed, the GNOME Human Interface Guidelines have been published, and much work has gone into improving the usability of GNOME's subsequent releases, the latest being GNOME 2.2.<br />
  This paper has two goals. The first is to assess the impact of that original usability study two years on, reflecting both on those recommendations that were implemented, and those that were not. The second is to consider what is required of the GNOME desktop, and of the project's organisation, to ensure that GNOME usability continues to improve as we look towards GNOME 3.0 and beyond.</p>

  <p>Calum Benson is a usability engineer in Sun Microsystems' Desktop Engineering Group in Dublin. He has 10 years' experience of user interface design and development, previously working for companies such as Logica, Reuters, Parametric Technology and the Civil Aviation Authority. He is a regular contributor to the GNOME Usability and Accessibility projects, and works full time on GNOME at Sun.<br />
  In his spare time, Calum sips from his collection of single malts (real ones, not the Irish muck), writes the odd bit of music, and apparently once knew how to handle a set of bagpipes. He also drives a bright yellow car with the steering wheel on the wrong side, casting more than a little doubt on his suitability for assessing the attractiveness and usability of any given user interface.</p><!-- Space -->
  <br />
  <br />

  <h3>Gnumeric - Why Do We Bother?, Jody Goldberg</h3>

  <p><img src="jody_goldberg.png" align="right" hspace="10" vspace="10" border="1" alt="Jody Goldberg" /></p>

  <p>At the dawn of GNOME Miguel needed an application to test the libraries, so without much background in spreadsheets he created Gnumeric, and it was nice. In 2000 Sun announced their intention to free StarOffice and Miguel left. Three years later we're still here, and going strong. Why does this intrepid little bad of developers bother ?<br />
  The short answer is that we're all spreadsheet users, and Gnumeric is shaping up to be the _spreadsheet_ (not office application) that we've always wanted. With a vast array of analytics, and top quality interoperability the Gnumeric libraries are an excellent platform for real work. Come by and find out what new toys are available in the upcoming 1.2 release.</p>

  <p>By day he helps Ximian polish GNOME. By night he fights crime! No, thats not right, lets try again. He works on Gnumeric! Yes, much better. After spending time on Wall St playing proctologist to every spreadsheet imaginable he got hooked on GNOME and Gnumeric as a way to get an application that would minimise time spent on support calls. When not coding Jody sits in meetings or spends time with his family.</p><!-- Space -->
  <br />
  <br />

  <h3>Testing GNOME Accessibility, Hema Seetharamaiah, Muktha Narayan &amp; Arvind Samptur</h3>

  <p><img src="arvind_samptur.jpg" align="right" hspace="10" vspace="10" border="1" alt="Arvind Samptur" /> <img src="muktha_narayan.jpg" align="right" hspace="10" vspace="10" border="1" alt="Muktha Narayan" /> <img src="hema_seetharamaiah.jpg" align="right" hspace="10" vspace="10" border="1" alt="Hema Seetharamaiah" /></p>

  <p>During our experience of providing QA for GNOME2.0, we noticed that accessibility, one of the most interesting and important features of GNOME, is quite neglected in terms of testing. The reasons are varied and manifold, ranging from lack of awareness about accessibility to the fact that testing accessibility is quite a complex task.<br />
  Thorough testing by as many users as possible can help identify the areas of the software that need to be modified to meet the requirements of the physically challenged and make it a robust feature of the desktop.<br />
  The paper will begin with a discussion on the current scenario of accessibility QA and the issues that are currently preventing better testing.<br />
  In this paper, we will a propose a cohesive test plan for setting up and testing GNOME accessibility.<br />
  The primary focus will be on testing the assistive technology support and the accessibility implementation in the apps. Keyboard Navigation, theme compliance, compliance to general principles of usability will also be covered from the quality perspective.<br />
  Based on the accessibility QA work we have done, we will propose,</p>

  <ul>
    <li>accessibility testing procedures</li>

    <li>step-by-step test setup guidelines</li>

    <li>tester's FAQ</li>

    <li>manual test assertions for all the categories mentioned above</li>
  </ul>

  <p>We hope that this paper will help improve the overall awareness about the QA aspects of GNOME accessibility and assistive technologies. And, get more folks excited about testing accessibility!</p>

  <p>Hema Seetharamaiah is currently working for Wipro Technologies, India. In the past year, she has worked in the areas of accessibility, security and quality assurance for GNOME.<br />
  Muktha Narayan is currently working for Wipro Technologies, India. In the past year, she has worked on accessibility implementation for applications and quality assurance for GNOME.<br />
  Arvind started his career working an X-Motif GUI designed for element manager using C++. He has been working on GNOME since a year. He has actively hacked on gnome-panel, gnome-applets and metacity.</p><!-- Space -->
  <br />
  <br />

  <h3>Flicker Free Scrolling In GTK+, Federico Mena Quintero</h3>

  <p><img src="federico_mena_quintero.jpg" align="right" hspace="10" vspace="10" border="1" alt="Federico Mena Quintero" /></p>

  <p>GTK+ 2.0 saw the inclusion of a very interesting and automatic way of doing double-buffering for screen redraws. However, even with the inclusion of convenience functions like gdk_window_scroll(), applications still get exposure events from the X server when they scroll a window; windows get a dirty area that gets redrawn shortly after performing the scroll operation and this may lead to flicker if the application cannot repaint fast enough. This article describes an implementation of an "intention to scroll" API that eliminates flicker completely by using temporary background pixmaps for windows. This is similar in spirit to gdk_window_begin_paint(), the "intention to draw" API that GTK+ 2.0 introduced.</p>

  <p>Federico is one of the co-founders of the GNOME project, having been the maintainer of the GIMP for some time before that. He has worked on the core GNOME libraries, the GNU Midnight Commander, the GNOMECanvas, the Evolution Calendar and OpenOffice.org recently. Federico likes mushroom soup and dislikes mushroom clouds.</p><!-- Space -->
  <br />
  <br />

  <h3>How To Nick And Share Code, Bastien Nocera</h3>

  <p><img src="bastien_nocera.jpg" align="right" hspace="10" vspace="10" border="1" alt="Bastien Nocera" /></p>

  <p>This is a presentation of how to use code from other projects, and make your code reusable to other projects, by librarification, (g)object-ification, and code extensions.</p>

  <p>When not helping out enterprise customers for Red Hat, he writes code for GNOME, drinks pints down the pub, and watches films. And his favourite computer buzz-word is "integration".</p><!-- Space -->
  <br />
  <br />

  <h3>Uniconf - The One True Configuration System, Avery Pennarun</h3>

  <p><img src="avery_pennarun.jpg" align="right" hspace="10" vspace="10" border="1" alt="Avery Pennarun" /></p>

  <p>UniConf is the Unix of configuration systems.<br />
  It can act as a standalone library or as a storage backend for GNOME's GConf, KDE's KConfig, Debian's DebConf, and any other configuration system. UniConf itself has "mountable" backend modules modeled after the Linux VFS, so any program converted to UniConf can store its configuration in Windows .ini-style files, XML, LDAP, a remote UniConf daemon, or (eventually) even the Windows registry. It makes all the different Linux configuration systems speak the same language, so you can configure all your applications in one user interface, yet not lose the ability to hand-edit configuration files. NSS and PAM modules are available that authenticate against any UniConf tree, with built-in intelligent caching that works much better than the standard nscd daemon.<br />
  Despite all these features, UniConf itself is surprisingly simple. This talk will describe the features and flaws of several of the configuration architectures influencing UniConf's design, then move on to implementation details and some demonstrations. For GU4DEC, we'll concentrate especially on UniConf's interaction with GConf and show how it allows you to use GConf to interact with other configuration systems, including KDE's.</p>

  <p>Avery Pennarun installed his first Linux system (Slackware, with kernel 1.0.9) on a 386 back in 1994. The he wrote the Linux arcnet network driver and the semi-infamous Arcnet Poem, started a company (http://open.nit.ca), and produced WvDial, Fast Forward, Tunnel Vision VPN, Netselect and Netselect-APT, Retchmail (the world's fastest Fetchmail alternative), and the Debian Popularity Contest. He then promptly disappeared from the Open Source world for a couple of years. Now he's back, and he expects the world will never be the same. Probably.</p><!-- Space -->
  <br />
  <br />

  <h3>GTK# Bindings, Miguel de Icaza</h3>

  <p><img src="miguel_de_icaza.jpg" align="right" hspace="10" vspace="10" border="1" alt="Miguel de Icaza" /></p>

  <p>GTK# is a .Net Language binding for the GTK+ toolkit and GNOME platform libraries. As a .Net binding, it comes with a lot of extras that make it easier to develop applications quickly. Reference counts and object subclassing boilerplate are essentially removed from the developer's domain and relegated to the binding, for example.<br />
  As a .Net binding, GTK# is available to any language that supports the CLI. C# is the primary language of .Net and will feel familiar to any C, C++, or Java hacker. C# comes with much syntactic sugar, and GTK# aims to take advantage of this. Properties have a direct assignment syntax in C#. GTK# exposes GObject properties and get/set methods as C# properties. Attachment of event handlers is also done via a nice "+=" syntax. GTK# maps all signals onto .Net events to take advantage of this language feature.<br />
  The binding architecture also has a mechanism to provide customizations for classes. The GTK# team is consistently improving upon the GTK+ API by providing method overloads to reduce the amount of information provided by the programmer when he is not interested in the hairy details.<br />
  GTK# includes several GNOME platform library bindings already, with the number growing regularly. The parser/generator provided by GTK# makes short order of GObject based libraries coded with the typical GNOME coding standards. Among the libraries bound already are libglade, libgnome, libgnomeui, libgnomecanvas, libgda, libgnomedb, and GStreamer.<br />
  This talk will focus on the above advantages of writing GNOME applications in C# and provide specific examples through a hands-on, "show me the code" approach.</p>

  <p>Miguel de Icaza is the founder of the GNOME project, and more recently the Mono project. He is the Chief Technical Officer for Ximian, and is a free software advocate.</p><!-- Space -->
  <br />
  <br />

  <h3>GNOME Sound Server BOF, Ronald Bultje</h3>

  <p><img src="ronald_bultje.png" align="right" hspace="10" vspace="10" border="1" alt="Ronald Bultje" /></p>

  <p>GNOME's current sound server, Esound (esd), works well for most current tasks. However, it misses options for more advanced usage that requires multiple stream synchronization (beyond the application layer), realtime response, optimized conversion, support for hardware mixing, network streaming and low latency. Esound does not fill all these needs. Is there more? Yes, definitely. Besides the current competitor, Artsd, new products have popped up lately. MAS and Jack are only a few examples of all the new sound servers that are currently under development. Each of them aims to fill all the needs that have previously been mentioned, but how good are they really?<br />
  This discussion will try to give a short introduction to each of them, showing advantages and disadvantages, and will try to gather opinions on which sound server should become the future GNOME soundbase.</p>

  <p>Ronald is a full-time student at the University of Utrecht, department of pharmacy, where he's currently finishing up for his masters degree. For this, he is doing a one-year internship at the department of psychopharmacology, where he's working on the development of drugs against anxiety-related stress.<br />
  Concerning computers, Ronald is maintaining a video-capture driver (<a href="http://www.cicese.mx/~mirsev/Linux/DC10plus/">zoran</a>) and is doing some random application work for <a href="http://www.gstreamer.net">GStreamer</a> and the <a href="http://mjpeg.sf.net/">MJPEG project</a>. Ronald is mostly interested in video capture and editing. He is also working for a company (<a href="http://www.dsnl.net/">Delta Solutions</a>) where he is building a video broadcast archiving and streaming system based on Linux.</p><!-- Space -->
  <br />
  <br />

  <h3>GNOME Network BOF, German Poo-Caamano &amp; Rodrigo Moya</h3>

  <p><img src="german_poo_caamano.png" align="right" hspace="10" vspace="10" border="1" alt="German Poo-Caamano" /> <img src="rodrigo_moya.png" align="right" hspace="10" vspace="10" border="1" alt="Rodrigo Moya" /></p>

  <p>The 'N' in the GNOME acronym stands for Network, so it makes a lot of sense to have a set of tools and utilities that integrate the desktop in network environments. A first approach to that was the gnome-network module in CVS, which contained a set of small network applications. This attempt failed, in our opinion, due to the heterogeneous set of tools it included, basically independent applications that barely (or mostly not at all) integrated with the rest of the desktop.<br />
  A better attempt came with gnome-vfs and the Nautilus ability to browse over remote collections of directories and files (HTTP, FTP, SMB, NFS, etc). This seems a much better approach to obtain the network integration into the GNOME desktop. But clearly this is not enough, and effort must be put on doing more integration of network-oriented tasks into the normal GNOME desktop.<br />
  With these thoughts in mind, we've resurrected the gnome-network module to try to get that seamless integration. But, as the way to obtain this integration is not yet clear on our minds, a planning session might be a very good idea to keep the ball rolling and start giving sense to the gnome-network module.<br />
  Before to start any discussion, we'll present the state of art of gnome-network, the new tools available and propose a discussion about the missing things, such as creation of a custom MIME type for 'Remote connection' files and have them be added to the network: virtual folder so that users can open SSH, Telnet, X11, VNC, RDesktop, etc. connections to remote hosts from that virtual folder. Something similar to GNOME Remote Connection Manager.<br />
  In our minds, gnome-network should provide a libgnomenetwork library for network applications. It would make sense to put GNet as part of gnome-network, and build upon it. This will have the advantage of having all the work done in GNet widely distributed as part of GNOME, and also start building a set of networking APIs (XML RPC, Sun RPC, protocols, etc) on top of it.</p>

  <p>German Poo-Caamano is the coordinator of Spanish team and maintainer of gturing and -network modules. Organizer of three chilean Linux/open source conferences. Co-founder of GNOME-Chile and active member of GNOME-Hispano.<br />
  Rodrido Moya is the maintainer of gnome-db and gnome-network, co-founder of GNOME-Hispano and member of HispaLinux. Also, he has been working in Evolution and Mono. He has been involved in GNOME project since its early days. He is a hacker employed of Ximian, Inc.</p><!-- Space -->
  <br />
  <br />

  <h3>GNOME Internationalization BOF, Christian Rose</h3>

  <p><img src="christian_rose.jpg" align="right" hspace="10" vspace="10" border="1" alt="Christian Rose" /></p>

  <p>GNOME has made a massive improvement lately in the area of localization. With the GNOME 2.2 release, more than 30 languages were supported to more than 80%, many of them being new in the GNOME arena. With partial translations included, GNOME currently has some level of support for more than 60 languages. There are many reasons for this success, and although the volunteer help and interest is a very important factor behind this, the technical reasons are not to be underestimated. Without the support in GTK+/Pango for complex glyphs and right-to-left scripts, the Unicode support and other prerequisites that are needed for many locales, we can be fairly sure we wouldn't be where we are today. Tools as intltool and the translation status pages, that are both very helpful and nowadays very much essential to many translators, have also been very important parts in the process of getting GNOME translated as much as possible.<br />
  There are however some problematic areas left that pose problems to translation efforts, and that are in need for technical solutions. In this discussion, we'll discuss some of those and we will hopefully get a better idea of what's needed, what's possible to do, and how it's best achieved. Both developers and translators are warmely encouraged to participate.</p>

  <p>Christian Rose is a student of Electrical Engineering at Lund Institute of Technology, Sweden. He has been involved with the Swedish translations of GNOME since 2000, and is currently the Swedish GNOME translation team coordinator and a GNOME Translation Project contact person.</p>
  
  <!--#include virtual="../inc-footer.shtml"-->
